com.informix.asf

## Class IfxASFRemoteException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.informix.asf.IfxASFException
      - - com.informix.asf.IfxASFRemoteException

All Implemented Interfaces:
  java.io.Serializable

    public class IfxASFRemoteException
    extends IfxASFException

All Remote exceptions returned from the server are encapsulated in this class.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IfxASFRemoteException(int err, int osErr, java.lang.String errMessage)` Constructs an IfxASFRemoteException object.

### Method Summary

Methods
`int` `getError()`
`java.lang.String` `getMessage()`
`int` `getOsError()`

### Methods inherited from class com.informix.asf.IfxASFException

`getErrorId`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IfxASFRemoteException

    public IfxASFRemoteException(int err,
                         int osErr,
                         java.lang.String errMessage)

Constructs an IfxASFRemoteException object.

Parameters:
  `err` - The error id of the error.
  `osErr` - The operating system error id (if any) of the error.
  `errMessage` - The error message of the error.

### Method Detail

#### getError

    public int getError()

Returns:
  returns the error id of the error.

#### getOsError

    public int getOsError()

Returns:
  returns the operating system error id of the error.

#### getMessage

    public java.lang.String getMessage()

Overrides:
  `getMessage` in class `java.lang.Throwable`
Returns:
  returns the error message of the error.